Set PROG=D:\BdPos\
Set BACK=1504

If Not Exist %PROG%%BACK%\prg.zip Md %PROG%%BACK%
If Not Exist %PROG%bmpho7\0.BMP MD %PROG%bmpho7
If Not Exist %PROG%bmpho8\0.BMP MD %PROG%bmpho8
If Not Exist %PROG%bmppos7\3T.bmp MD %PROG%bmppos7

If Not Exist %PROG%%BACK%\prg.zip %PROG%Pkzip %PROG%%BACK%\prg.zip %PROG%*.prg
If Not Exist %PROG%%BACK%\master.zip %PROG%Pkzip %PROG%%BACK%\master.zip %PROG%master.exe
If Not Exist %PROG%%BACK%\poswin.zip %PROG%Pkzip %PROG%%BACK%\poswin.zip %PROG%poswin.exe

If Not Exist %PROG%%BACK%\bmpho7.zip %PROG%Pkzip %PROG%%BACK%\bmpho7.zip %PROG%bmpho7\*.*
If Not Exist %PROG%%BACK%\bmpho8.zip %PROG%Pkzip %PROG%%BACK%\bmpho8.zip %PROG%bmpho8\*.*
If Not Exist %PROG%%BACK%\bmppos7.zip %PROG%Pkzip %PROG%%BACK%\bmppos7.zip %PROG%bmppos7\*.*

%PROG%Pkunzip -o update %PROG%
%PROG%Pkunzip -o bmpho7 %PROG%bmpho7
%PROG%Pkunzip -o bmpho8 %PROG%bmpho8
%PROG%Pkunzip -o bmppos7 %PROG%bmppos7

Exit 